Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util
Class AutoPopulatingList.ElementInstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.util.AutoPopulatingList.ElementInstantiationException

All Implemented Interfaces:
  Serializable

Enclosing class:
  AutoPopulatingList<E>

    public static class AutoPopulatingList.ElementInstantiationException

extends RuntimeException

Exception to be thrown from ElementFactory.

See Also:
  Serialized Form

Constructor Summary
`AutoPopulatingList.ElementInstantiationException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoPopulatingList.ElementInstantiationException

    public AutoPopulatingList.ElementInstantiationException(String msg)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD